Loading...
Searching...
No Matches
juce::universal_midi_packets::EndpointsListener Struct Referenceabstract

## Detailed Description

An interface class for types that are interested in receiving updates about changes to available MIDI endpoints.

The documentation for this struct was generated from the following file:

- juce_audio_devices/midi_io/ump/juce_UMPEndpoints.h

## Public Member Functions

| EndpointsListener ()=default
| EndpointsListener (const EndpointsListener &)=default
| EndpointsListener (EndpointsListener &&) noexcept=default
EndpointsListener & | operator= (const EndpointsListener &)=default
EndpointsListener & | operator= (EndpointsListener &&) noexcept=default
virtual | ~EndpointsListener ()=default
virtual void | endpointsChanged ()=0
| Called on each platform to notify listeners that some aspect of the MIDI configuration has changed, including device connection, disconnection, and property changes.
virtual void | virtualMidiServiceActiveChanged ()
| Called on Android to indicate that the service managing the virtual MIDI ports was started or stopped.

## Constructors and Destructors

## EndpointsListener() [1/3]

juce::universal_midi_packets::EndpointsListener::EndpointsListener | ( |  | ) |

default

Referenced by EndpointsListener(), EndpointsListener(), operator=(), operator=(), and ~EndpointsListener().

## EndpointsListener() [2/3]

juce::universal_midi_packets::EndpointsListener::EndpointsListener | ( | const EndpointsListener & |  | ) |

default

References EndpointsListener().

## EndpointsListener() [3/3]

juce::universal_midi_packets::EndpointsListener::EndpointsListener | ( | EndpointsListener && |  | ) |

default noexcept

References EndpointsListener().

## ~EndpointsListener()

virtual juce::universal_midi_packets::EndpointsListener::~EndpointsListener | ( |  | ) |

virtual default

References EndpointsListener().

## Member Functions

## operator=() [1/2]

EndpointsListener & juce::universal_midi_packets::EndpointsListener::operator= | ( | const EndpointsListener & |  | ) |

default

References EndpointsListener().

## operator=() [2/2]

EndpointsListener & juce::universal_midi_packets::EndpointsListener::operator= | ( | EndpointsListener && |  | ) |

default noexcept

References EndpointsListener().

## endpointsChanged()

virtual void juce::universal_midi_packets::EndpointsListener::endpointsChanged | ( |  | ) |

pure virtual

Called on each platform to notify listeners that some aspect of the MIDI configuration has changed, including device connection, disconnection, and property changes.

References endpointsChanged().

Referenced by endpointsChanged().

## virtualMidiServiceActiveChanged()

virtual void juce::universal_midi_packets::EndpointsListener::virtualMidiServiceActiveChanged | ( |  | ) |

inline virtual

Called on Android to indicate that the service managing the virtual MIDI ports was started or stopped.

Creating a virtual endpoint will fail if the service is not running, so you may wish to listen for this event, and to create the virtual ports after this function has been called. You can query the current state of the service using Endpoints::isVirtualUmpServiceActive() and Endpoints::isVirtualBytestreamServiceActive().

References virtualMidiServiceActiveChanged().

Referenced by virtualMidiServiceActiveChanged().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited